Page MenuHomePhabricator

Add 240p transcode with lower bandwidth for future mobile streaming
Closed, ResolvedPublic

Description

Our original transcode size stages were set up before the smartphone revolution took hold; the 360p size step is good with good networks but looks a bit on the edge for 3G cell networks.

Currently we have no steps in between the 360p and 160p stops. Recommend adding a 240p transcode with intermediate bandwidth and no extra framerate decimation, which can be picked up by adaptive streaming in the future (see T44591 which needs some updated notes).

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterUpdate TMH default transcode set
operations/mediawiki-config : masterEnable 240p Theora and WebM video transcodes for low-bandwidth
mediawiki/extensions/TimedMediaHandler : masterAdd defs for 240p transcodes for 3G streaming and slow devices

Event Timeline

brion created this task.Jun 27 2015, 12:55 PM
brion raised the priority of this task from to Needs Triage.
brion updated the task description. (Show Details)
brion added a subscriber: brion.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJun 27 2015, 12:55 PM

Change 226443 had a related patch set uploaded (by Brion VIBBER):
Add defs for 240p transcodes for 3G streaming and slow devices

https://gerrit.wikimedia.org/r/226443

Change 226445 had a related patch set uploaded (by Brion VIBBER):
Enable 240p Theora and WebM video transcodes for low-bandwidth

https://gerrit.wikimedia.org/r/226445

Change 226443 abandoned by Brion VIBBER:
Add defs for 240p transcodes for 3G streaming and slow devices

Reason:
Dropping this version of the patch; added 240p ogv separately, will adjust webms later.

https://gerrit.wikimedia.org/r/226443

Change 226445 abandoned by Brion VIBBER:
Enable 240p Theora and WebM video transcodes for low-bandwidth

Reason:
abandoning this version of the patch; updating bit by bit in TMH diretly

https://gerrit.wikimedia.org/r/226445

Change 229326 had a related patch set uploaded (by Brion VIBBER):
Update TMH default transcode set

https://gerrit.wikimedia.org/r/229326

brion added a comment.Aug 5 2015, 1:45 PM

(status update: recent changes increased the bandwidth on .ogv transcodes; there's a patch to enable 240p with the bandwidth of the old 360p. still need to add an intermediate step for webm)

Change 229326 merged by jenkins-bot:
Update TMH default transcode set

https://gerrit.wikimedia.org/r/229326

brion closed this task as Resolved.Aug 17 2015, 7:16 PM
brion claimed this task.